
Katello - Refactor #6187

Dynflowize environment delete
Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Orchestration   

Target version: Katello 2.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/456
Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1125358 Red Hat JIRA:  

Description

Related issues:

Related to Katello - Bug #6815: I can delete a environment even if it has ass... Rejected 07/29/2014

Blocks Katello - Feature #6180: Implement org destroy Closed 06/12/2014

Associated revisions

Revision c7bfc159 - 08/15/2014 10:27 AM - Partha Aji

Fixes #6815,#6187/bz1125398,1125358 - Environment Destroy Dynflow

This commit adds code to orchestrate lifecycle env destroy via dynflow.

In addition to that it adds code to prevent environment deletion if any

of the lifecycle env associations like content hosts and activation keys

Revision 26e6f173 - 10/22/2014 04:50 AM - Adam Ruzicka

Fixes #6187,BZ1125358 - Deleting a resource and creation a new one wont lead to conflicts

History

#1 - 06/12/2014 12:57 PM - Ivan Necas

- Blocks Feature #6180: Implement org destroy added

#2 - 06/18/2014 02:27 PM - David Davis

- Assignee set to David Davis

#3 - 06/25/2014 02:36 PM - David Davis

- Status changed from New to Closed

The env destroy doesn't require dynflow. It doesn't touch any backend services. There was some code I wrote/fixed as part of this bug but I'll just

move that code to the PR for #6180.

#4 - 07/29/2014 04:10 AM - Ivan Necas

- Status changed from Closed to New

- Target version deleted (48)

I don't think this is reason for not having the lifecycle enevironment destroy action. Two reasons for having it:

1. destroying the resoruces under the lifecycle environment: consumers, content view versions

2. having the action recorded in the foreman tasks for auditing purposes

#5 - 07/29/2014 04:11 AM - Ivan Necas
https://projects.theforeman.org/issues/6180


- Target version set to 54

#6 - 07/29/2014 07:29 AM - David Davis

@ivan, content view versions and consumers aren't tied directly to environments. I'll have to take a look at the code again but I don't believe you can

delete an environment if it has content_view_environments.

#7 - 07/29/2014 07:52 AM - David Davis

Looks like I wrote the code in an another PR but forgot to pull it over to the new PR:

https://github.com/Katello/katello/pull/4324/files#diff-186d05e79248a368ffb5ff36269a9ea2R39

#8 - 07/29/2014 08:04 AM - David Davis

I've created a bug to address the deleting of environments with associations in the short term.

Longer term, maybe we can develop something that would at least warn users if environments have content hosts, etc. This would of course rely on

dynflow. Maybe we could even allow users to choose whether to reassign or destroy associations like the content view remove code.

#9 - 07/29/2014 08:04 AM - David Davis

- Related to Bug #6815: I can delete a environment even if it has associations added

#10 - 07/29/2014 09:47 AM - Ivan Necas

- Assignee changed from David Davis to Adam Ruzicka

Ok, assigning this to aruzicka, just for auditing purposes, leaving the deletion of associations untouched for now.

#11 - 07/31/2014 11:59 AM - Eric Helms

- Bugzilla link set to 1125358

#12 - 08/13/2014 06:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4571 added

- Pull request deleted ()

#13 - 08/14/2014 11:24 AM - David Davis

- Assignee changed from Adam Ruzicka to Partha Aji

- Pull request https://github.com/Katello/katello/pull/4563 added

- Pull request deleted (https://github.com/Katello/katello/pull/4571)

#14 - 08/15/2014 11:02 AM - Partha Aji

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|c7bfc1592488adf5312e09d84cff082e3e2d29fb.

#15 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
